Main Page Alphabetical List Data Structures File List Data Fields Globals

# _wmfStream Struct Reference

## Data Fields
void * | context
wmfSPutS | sputs
wmfReset | reset

## Detailed Description

Structure describing user-definable character-based output stream.

wmf_stream_create() and wmf_ztream_create() both return pointers to wmfStream objects, but an application can create its own implementation if preferred.

    typedef int (*wmfSPutS) (char* str,void* context);
    typedef int (*wmfReset) (void* context);

wmfSPutS: writes string `str`; returns EOF on error, else 0.

wmfReset: resets stream to start; returns non-zero on failure.

`context` is a handle for user data

## Field Documentation

void* _wmfStream::context

wmfReset _wmfStream::reset

wmfSPutS _wmfStream::sputs

The documentation for this struct was generated from the following file:

- types.h